com.amazonaws.services.codedeploy

## Interface AmazonCodeDeployAsync

All Superinterfaces:
  AmazonCodeDeploy

All Known Implementing Classes:
  AbstractAmazonCodeDeployAsync, AmazonCodeDeployAsyncClient

    public interface AmazonCodeDeployAsync
    extends AmazonCodeDeploy

Interface for accessing CodeDeploy asynchronously. Each asynchronous method will return a Java Future object representing the asynchronous operation; overloads which accept an `AsyncHandler` can be used to receive notification when an asynchronous operation completes.

Note: Do not directly implement this interface, new methods are added to it regularly. Extend from `AbstractAmazonCodeDeployAsync` instead.

<fullname>AWS CodeDeploy</fullname>

Overview

This reference guide provides descriptions of the AWS CodeDeploy APIs. For more information about AWS CodeDeploy, see the AWS CodeDeploy User Guide.

Using the APIs

You can use the AWS CodeDeploy APIs to work with the following:

- Applications are unique identifiers used by AWS CodeDeploy to ensure the correct combinations of revisions, deployment configurations, and deployment groups are being referenced during deployments.

  You can use the AWS CodeDeploy APIs to create, delete, get, list, and update applications.

- Deployment configurations are sets of deployment rules and success and failure conditions used by AWS CodeDeploy during deployments.

  You can use the AWS CodeDeploy APIs to create, delete, get, and list deployment configurations.

- Deployment groups are groups of instances to which application revisions can be deployed.

  You can use the AWS CodeDeploy APIs to create, delete, get, list, and update deployment groups.

- Instances represent Amazon EC2 instances to which application revisions are deployed. Instances are identified by their Amazon EC2 tags or Auto Scaling group names. Instances belong to deployment groups.

  You can use the AWS CodeDeploy APIs to get and list instance.

- Deployments represent the process of deploying revisions to instances.

  You can use the AWS CodeDeploy APIs to create, get, list, and stop deployments.

- Application revisions are archive files stored in Amazon S3 buckets or GitHub repositories. These revisions contain source content (such as source code, web pages, executable files, and deployment scripts) along with an application specification (AppSpec) file. (The AppSpec file is unique to AWS CodeDeploy; it defines the deployment actions you want AWS CodeDeploy to execute.) For application revisions stored in Amazon S3 buckets, an application revision is uniquely identified by its Amazon S3 object key and its ETag, version, or both. For application revisions stored in GitHub repositories, an application revision is uniquely identified by its repository name and commit ID. Application revisions are deployed through deployment groups.

  You can use the AWS CodeDeploy APIs to get, list, and register application revisions.

### Field Summary

### Fields inherited from interface com.amazonaws.services.codedeploy.AmazonCodeDeploy

`ENDPOINT_PREFIX`

### Method Summary

All Methods Instance Methods Abstract Methods
`Future<AddTagsToOnPremisesInstancesResult>` `addTagsToOnPremisesInstancesAsync(AddTagsToOnPremisesInstancesRequest addTagsToOnPremisesInstancesRequest)` Adds tags to on-premises instances.
`Future<AddTagsToOnPremisesInstancesResult>` `addTagsToOnPremisesInstancesAsync(AddTagsToOnPremisesInstancesRequest addTagsToOnPremisesInstancesRequest, AsyncHandler<AddTagsToOnPremisesInstancesRequest,AddTagsToOnPremisesInstancesResult> asyncHandler)` Adds tags to on-premises instances.
`Future<BatchGetApplicationRevisionsResult>` `batchGetApplicationRevisionsAsync(BatchGetApplicationRevisionsRequest batchGetApplicationRevisionsRequest)` Gets information about one or more application revisions.
`Future<BatchGetApplicationRevisionsResult>` `batchGetApplicationRevisionsAsync(BatchGetApplicationRevisionsRequest batchGetApplicationRevisionsRequest, AsyncHandler<BatchGetApplicationRevisionsRequest,BatchGetApplicationRevisionsResult> asyncHandler)` Gets information about one or more application revisions.
`Future<BatchGetApplicationsResult>` `batchGetApplicationsAsync()` Simplified method form for invoking the BatchGetApplications operation.
`Future<BatchGetApplicationsResult>` `batchGetApplicationsAsync(AsyncHandler<BatchGetApplicationsRequest,BatchGetApplicationsResult> asyncHandler)` Simplified method form for invoking the BatchGetApplications operation with an AsyncHandler.
`Future<BatchGetApplicationsResult>` `batchGetApplicationsAsync(BatchGetApplicationsRequest batchGetApplicationsRequest)` Gets information about one or more applications.
`Future<BatchGetApplicationsResult>` `batchGetApplicationsAsync(BatchGetApplicationsRequest batchGetApplicationsRequest, AsyncHandler<BatchGetApplicationsRequest,BatchGetApplicationsResult> asyncHandler)` Gets information about one or more applications.
`Future<BatchGetDeploymentGroupsResult>` `batchGetDeploymentGroupsAsync(BatchGetDeploymentGroupsRequest batchGetDeploymentGroupsRequest)` Get information about one or more deployment groups.
`Future<BatchGetDeploymentGroupsResult>` `batchGetDeploymentGroupsAsync(BatchGetDeploymentGroupsRequest batchGetDeploymentGroupsRequest, AsyncHandler<BatchGetDeploymentGroupsRequest,BatchGetDeploymentGroupsResult> asyncHandler)` Get information about one or more deployment groups.
`Future<BatchGetDeploymentInstancesResult>` `batchGetDeploymentInstancesAsync(BatchGetDeploymentInstancesRequest batchGetDeploymentInstancesRequest)` Gets information about one or more instance that are part of a deployment group.
`Future<BatchGetDeploymentInstancesResult>` `batchGetDeploymentInstancesAsync(BatchGetDeploymentInstancesRequest batchGetDeploymentInstancesRequest, AsyncHandler<BatchGetDeploymentInstancesRequest,BatchGetDeploymentInstancesResult> asyncHandler)` Gets information about one or more instance that are part of a deployment group.
`Future<BatchGetDeploymentsResult>` `batchGetDeploymentsAsync()` Simplified method form for invoking the BatchGetDeployments operation.
`Future<BatchGetDeploymentsResult>` `batchGetDeploymentsAsync(AsyncHandler<BatchGetDeploymentsRequest,BatchGetDeploymentsResult> asyncHandler)` Simplified method form for invoking the BatchGetDeployments operation with an AsyncHandler.
`Future<BatchGetDeploymentsResult>` `batchGetDeploymentsAsync(BatchGetDeploymentsRequest batchGetDeploymentsRequest)` Gets information about one or more deployments.
`Future<BatchGetDeploymentsResult>` `batchGetDeploymentsAsync(BatchGetDeploymentsRequest batchGetDeploymentsRequest, AsyncHandler<BatchGetDeploymentsRequest,BatchGetDeploymentsResult> asyncHandler)` Gets information about one or more deployments.
`Future<BatchGetOnPremisesInstancesResult>` `batchGetOnPremisesInstancesAsync()` Simplified method form for invoking the BatchGetOnPremisesInstances operation.
`Future<BatchGetOnPremisesInstancesResult>` `batchGetOnPremisesInstancesAsync(AsyncHandler<BatchGetOnPremisesInstancesRequest,BatchGetOnPremisesInstancesResult> asyncHandler)` Simplified method form for invoking the BatchGetOnPremisesInstances operation with an AsyncHandler.
`Future<BatchGetOnPremisesInstancesResult>` `batchGetOnPremisesInstancesAsync(BatchGetOnPremisesInstancesRequest batchGetOnPremisesInstancesRequest)` Gets information about one or more on-premises instances.
`Future<BatchGetOnPremisesInstancesResult>` `batchGetOnPremisesInstancesAsync(BatchGetOnPremisesInstancesRequest batchGetOnPremisesInstancesRequest, AsyncHandler<BatchGetOnPremisesInstancesRequest,BatchGetOnPremisesInstancesResult> asyncHandler)` Gets information about one or more on-premises instances.
`Future<CreateApplicationResult>` `createApplicationAsync(CreateApplicationRequest createApplicationRequest)` Creates an application.
`Future<CreateApplicationResult>` `createApplicationAsync(CreateApplicationRequest createApplicationRequest, AsyncHandler<CreateApplicationRequest,CreateApplicationResult> asyncHandler)` Creates an application.
`Future<CreateDeploymentResult>` `createDeploymentAsync(CreateDeploymentRequest createDeploymentRequest)` Deploys an application revision through the specified deployment group.
`Future<CreateDeploymentResult>` `createDeploymentAsync(CreateDeploymentRequest createDeploymentRequest, AsyncHandler<CreateDeploymentRequest,CreateDeploymentResult> asyncHandler)` Deploys an application revision through the specified deployment group.
`Future<CreateDeploymentConfigResult>` `createDeploymentConfigAsync(CreateDeploymentConfigRequest createDeploymentConfigRequest)` Creates a deployment configuration.
`Future<CreateDeploymentConfigResult>` `createDeploymentConfigAsync(CreateDeploymentConfigRequest createDeploymentConfigRequest, AsyncHandler<CreateDeploymentConfigRequest,CreateDeploymentConfigResult> asyncHandler)` Creates a deployment configuration.
`Future<CreateDeploymentGroupResult>` `createDeploymentGroupAsync(CreateDeploymentGroupRequest createDeploymentGroupRequest)` Creates a deployment group to which application revisions will be deployed.
`Future<CreateDeploymentGroupResult>` `createDeploymentGroupAsync(CreateDeploymentGroupRequest createDeploymentGroupRequest, AsyncHandler<CreateDeploymentGroupRequest,CreateDeploymentGroupResult> asyncHandler)` Creates a deployment group to which application revisions will be deployed.
`Future<DeleteApplicationResult>` `deleteApplicationAsync(DeleteApplicationRequest deleteApplicationRequest)` Deletes an application.
`Future<DeleteApplicationResult>` `deleteApplicationAsync(DeleteApplicationRequest deleteApplicationRequest, AsyncHandler<DeleteApplicationRequest,DeleteApplicationResult> asyncHandler)` Deletes an application.
`Future<DeleteDeploymentConfigResult>` `deleteDeploymentConfigAsync(DeleteDeploymentConfigRequest deleteDeploymentConfigRequest)` Deletes a deployment configuration.
`Future<DeleteDeploymentConfigResult>` `deleteDeploymentConfigAsync(DeleteDeploymentConfigRequest deleteDeploymentConfigRequest, AsyncHandler<DeleteDeploymentConfigRequest,DeleteDeploymentConfigResult> asyncHandler)` Deletes a deployment configuration.
`Future<DeleteDeploymentGroupResult>` `deleteDeploymentGroupAsync(DeleteDeploymentGroupRequest deleteDeploymentGroupRequest)` Deletes a deployment group.
`Future<DeleteDeploymentGroupResult>` `deleteDeploymentGroupAsync(DeleteDeploymentGroupRequest deleteDeploymentGroupRequest, AsyncHandler<DeleteDeploymentGroupRequest,DeleteDeploymentGroupResult> asyncHandler)` Deletes a deployment group.
`Future<DeregisterOnPremisesInstanceResult>` `deregisterOnPremisesInstanceAsync(DeregisterOnPremisesInstanceRequest deregisterOnPremisesInstanceRequest)` Deregisters an on-premises instance.
`Future<DeregisterOnPremisesInstanceResult>` `deregisterOnPremisesInstanceAsync(DeregisterOnPremisesInstanceRequest deregisterOnPremisesInstanceRequest, AsyncHandler<DeregisterOnPremisesInstanceRequest,DeregisterOnPremisesInstanceResult> asyncHandler)` Deregisters an on-premises instance.
`Future<GetApplicationResult>` `getApplicationAsync(GetApplicationRequest getApplicationRequest)` Gets information about an application.
`Future<GetApplicationResult>` `getApplicationAsync(GetApplicationRequest getApplicationRequest, AsyncHandler<GetApplicationRequest,GetApplicationResult> asyncHandler)` Gets information about an application.
`Future<GetApplicationRevisionResult>` `getApplicationRevisionAsync(GetApplicationRevisionRequest getApplicationRevisionRequest)` Gets information about an application revision.
`Future<GetApplicationRevisionResult>` `getApplicationRevisionAsync(GetApplicationRevisionRequest getApplicationRevisionRequest, AsyncHandler<GetApplicationRevisionRequest,GetApplicationRevisionResult> asyncHandler)` Gets information about an application revision.
`Future<GetDeploymentResult>` `getDeploymentAsync(GetDeploymentRequest getDeploymentRequest)` Gets information about a deployment.
`Future<GetDeploymentResult>` `getDeploymentAsync(GetDeploymentRequest getDeploymentRequest, AsyncHandler<GetDeploymentRequest,GetDeploymentResult> asyncHandler)` Gets information about a deployment.
`Future<GetDeploymentConfigResult>` `getDeploymentConfigAsync(GetDeploymentConfigRequest getDeploymentConfigRequest)` Gets information about a deployment configuration.
`Future<GetDeploymentConfigResult>` `getDeploymentConfigAsync(GetDeploymentConfigRequest getDeploymentConfigRequest, AsyncHandler<GetDeploymentConfigRequest,GetDeploymentConfigResult> asyncHandler)` Gets information about a deployment configuration.
`Future<GetDeploymentGroupResult>` `getDeploymentGroupAsync(GetDeploymentGroupRequest getDeploymentGroupRequest)` Gets information about a deployment group.
`Future<GetDeploymentGroupResult>` `getDeploymentGroupAsync(GetDeploymentGroupRequest getDeploymentGroupRequest, AsyncHandler<GetDeploymentGroupRequest,GetDeploymentGroupResult> asyncHandler)` Gets information about a deployment group.
`Future<GetDeploymentInstanceResult>` `getDeploymentInstanceAsync(GetDeploymentInstanceRequest getDeploymentInstanceRequest)` Gets information about an instance as part of a deployment.
`Future<GetDeploymentInstanceResult>` `getDeploymentInstanceAsync(GetDeploymentInstanceRequest getDeploymentInstanceRequest, AsyncHandler<GetDeploymentInstanceRequest,GetDeploymentInstanceResult> asyncHandler)` Gets information about an instance as part of a deployment.
`Future<GetOnPremisesInstanceResult>` `getOnPremisesInstanceAsync(GetOnPremisesInstanceRequest getOnPremisesInstanceRequest)` Gets information about an on-premises instance.
`Future<GetOnPremisesInstanceResult>` `getOnPremisesInstanceAsync(GetOnPremisesInstanceRequest getOnPremisesInstanceRequest, AsyncHandler<GetOnPremisesInstanceRequest,GetOnPremisesInstanceResult> asyncHandler)` Gets information about an on-premises instance.
`Future<ListApplicationRevisionsResult>` `listApplicationRevisionsAsync(ListApplicationRevisionsRequest listApplicationRevisionsRequest)` Lists information about revisions for an application.
`Future<ListApplicationRevisionsResult>` `listApplicationRevisionsAsync(ListApplicationRevisionsRequest listApplicationRevisionsRequest, AsyncHandler<ListApplicationRevisionsRequest,ListApplicationRevisionsResult> asyncHandler)` Lists information about revisions for an application.
`Future<ListApplicationsResult>` `listApplicationsAsync()` Simplified method form for invoking the ListApplications operation.
`Future<ListApplicationsResult>` `listApplicationsAsync(AsyncHandler<ListApplicationsRequest,ListApplicationsResult> asyncHandler)` Simplified method form for invoking the ListApplications operation with an AsyncHandler.
`Future<ListApplicationsResult>` `listApplicationsAsync(ListApplicationsRequest listApplicationsRequest)` Lists the applications registered with the applicable IAM user or AWS account.
`Future<ListApplicationsResult>` `listApplicationsAsync(ListApplicationsRequest listApplicationsRequest, AsyncHandler<ListApplicationsRequest,ListApplicationsResult> asyncHandler)` Lists the applications registered with the applicable IAM user or AWS account.
`Future<ListDeploymentConfigsResult>` `listDeploymentConfigsAsync()` Simplified method form for invoking the ListDeploymentConfigs operation.
`Future<ListDeploymentConfigsResult>` `listDeploymentConfigsAsync(AsyncHandler<ListDeploymentConfigsRequest,ListDeploymentConfigsResult> asyncHandler)` Simplified method form for invoking the ListDeploymentConfigs operation with an AsyncHandler.
`Future<ListDeploymentConfigsResult>` `listDeploymentConfigsAsync(ListDeploymentConfigsRequest listDeploymentConfigsRequest)` Lists the deployment configurations with the applicable IAM user or AWS account.
`Future<ListDeploymentConfigsResult>` `listDeploymentConfigsAsync(ListDeploymentConfigsRequest listDeploymentConfigsRequest, AsyncHandler<ListDeploymentConfigsRequest,ListDeploymentConfigsResult> asyncHandler)` Lists the deployment configurations with the applicable IAM user or AWS account.
`Future<ListDeploymentGroupsResult>` `listDeploymentGroupsAsync(ListDeploymentGroupsRequest listDeploymentGroupsRequest)` Lists the deployment groups for an application registered with the applicable IAM user or AWS account.
`Future<ListDeploymentGroupsResult>` `listDeploymentGroupsAsync(ListDeploymentGroupsRequest listDeploymentGroupsRequest, AsyncHandler<ListDeploymentGroupsRequest,ListDeploymentGroupsResult> asyncHandler)` Lists the deployment groups for an application registered with the applicable IAM user or AWS account.
`Future<ListDeploymentInstancesResult>` `listDeploymentInstancesAsync(ListDeploymentInstancesRequest listDeploymentInstancesRequest)` Lists the instance for a deployment associated with the applicable IAM user or AWS account.
`Future<ListDeploymentInstancesResult>` `listDeploymentInstancesAsync(ListDeploymentInstancesRequest listDeploymentInstancesRequest, AsyncHandler<ListDeploymentInstancesRequest,ListDeploymentInstancesResult> asyncHandler)` Lists the instance for a deployment associated with the applicable IAM user or AWS account.
`Future<ListDeploymentsResult>` `listDeploymentsAsync()` Simplified method form for invoking the ListDeployments operation.
`Future<ListDeploymentsResult>` `listDeploymentsAsync(AsyncHandler<ListDeploymentsRequest,ListDeploymentsResult> asyncHandler)` Simplified method form for invoking the ListDeployments operation with an AsyncHandler.
`Future<ListDeploymentsResult>` `listDeploymentsAsync(ListDeploymentsRequest listDeploymentsRequest)` Lists the deployments in a deployment group for an application registered with the applicable IAM user or AWS account.
`Future<ListDeploymentsResult>` `listDeploymentsAsync(ListDeploymentsRequest listDeploymentsRequest, AsyncHandler<ListDeploymentsRequest,ListDeploymentsResult> asyncHandler)` Lists the deployments in a deployment group for an application registered with the applicable IAM user or AWS account.
`Future<ListOnPremisesInstancesResult>` `listOnPremisesInstancesAsync()` Simplified method form for invoking the ListOnPremisesInstances operation.
`Future<ListOnPremisesInstancesResult>` `listOnPremisesInstancesAsync(AsyncHandler<ListOnPremisesInstancesRequest,ListOnPremisesInstancesResult> asyncHandler)` Simplified method form for invoking the ListOnPremisesInstances operation with an AsyncHandler.
`Future<ListOnPremisesInstancesResult>` `listOnPremisesInstancesAsync(ListOnPremisesInstancesRequest listOnPremisesInstancesRequest)` Gets a list of names for one or more on-premises instances.
`Future<ListOnPremisesInstancesResult>` `listOnPremisesInstancesAsync(ListOnPremisesInstancesRequest listOnPremisesInstancesRequest, AsyncHandler<ListOnPremisesInstancesRequest,ListOnPremisesInstancesResult> asyncHandler)` Gets a list of names for one or more on-premises instances.
`Future<RegisterApplicationRevisionResult>` `registerApplicationRevisionAsync(RegisterApplicationRevisionRequest registerApplicationRevisionRequest)` Registers with AWS CodeDeploy a revision for the specified application.
`Future<RegisterApplicationRevisionResult>` `registerApplicationRevisionAsync(RegisterApplicationRevisionRequest registerApplicationRevisionRequest, AsyncHandler<RegisterApplicationRevisionRequest,RegisterApplicationRevisionResult> asyncHandler)` Registers with AWS CodeDeploy a revision for the specified application.
`Future<RegisterOnPremisesInstanceResult>` `registerOnPremisesInstanceAsync(RegisterOnPremisesInstanceRequest registerOnPremisesInstanceRequest)` Registers an on-premises instance.
`Future<RegisterOnPremisesInstanceResult>` `registerOnPremisesInstanceAsync(RegisterOnPremisesInstanceRequest registerOnPremisesInstanceRequest, AsyncHandler<RegisterOnPremisesInstanceRequest,RegisterOnPremisesInstanceResult> asyncHandler)` Registers an on-premises instance.
`Future<RemoveTagsFromOnPremisesInstancesResult>` `removeTagsFromOnPremisesInstancesAsync(RemoveTagsFromOnPremisesInstancesRequest removeTagsFromOnPremisesInstancesRequest)` Removes one or more tags from one or more on-premises instances.
`Future<RemoveTagsFromOnPremisesInstancesResult>` `removeTagsFromOnPremisesInstancesAsync(RemoveTagsFromOnPremisesInstancesRequest removeTagsFromOnPremisesInstancesRequest, AsyncHandler<RemoveTagsFromOnPremisesInstancesRequest,RemoveTagsFromOnPremisesInstancesResult> asyncHandler)` Removes one or more tags from one or more on-premises instances.
`Future<StopDeploymentResult>` `stopDeploymentAsync(StopDeploymentRequest stopDeploymentRequest)` Attempts to stop an ongoing deployment.
`Future<StopDeploymentResult>` `stopDeploymentAsync(StopDeploymentRequest stopDeploymentRequest, AsyncHandler<StopDeploymentRequest,StopDeploymentResult> asyncHandler)` Attempts to stop an ongoing deployment.
`Future<UpdateApplicationResult>` `updateApplicationAsync()` Simplified method form for invoking the UpdateApplication operation.
`Future<UpdateApplicationResult>` `updateApplicationAsync(AsyncHandler<UpdateApplicationRequest,UpdateApplicationResult> asyncHandler)` Simplified method form for invoking the UpdateApplication operation with an AsyncHandler.
`Future<UpdateApplicationResult>` `updateApplicationAsync(UpdateApplicationRequest updateApplicationRequest)` Changes the name of an application.
`Future<UpdateApplicationResult>` `updateApplicationAsync(UpdateApplicationRequest updateApplicationRequest, AsyncHandler<UpdateApplicationRequest,UpdateApplicationResult> asyncHandler)` Changes the name of an application.
`Future<UpdateDeploymentGroupResult>` `updateDeploymentGroupAsync(UpdateDeploymentGroupRequest updateDeploymentGroupRequest)` Changes information about a deployment group.
`Future<UpdateDeploymentGroupResult>` `updateDeploymentGroupAsync(UpdateDeploymentGroupRequest updateDeploymentGroupRequest, AsyncHandler<UpdateDeploymentGroupRequest,UpdateDeploymentGroupResult> asyncHandler)` Changes information about a deployment group.

### Methods inherited from interface com.amazonaws.services.codedeploy.AmazonCodeDeploy

`addTagsToOnPremisesInstances, batchGetApplicationRevisions, batchGetApplications, batchGetApplications, batchGetDeploymentGroups, batchGetDeploymentInstances, batchGetDeployments, batchGetDeployments, batchGetOnPremisesInstances, batchGetOnPremisesInstances, createApplication, createDeployment, createDeploymentConfig, createDeploymentGroup, deleteApplication, deleteDeploymentConfig, deleteDeploymentGroup, deregisterOnPremisesInstance, getApplication, getApplicationRevision, getCachedResponseMetadata, getDeployment, getDeploymentConfig, getDeploymentGroup, getDeploymentInstance, getOnPremisesInstance, listApplicationRevisions, listApplications, listApplications, listDeploymentConfigs, listDeploymentConfigs, listDeploymentGroups, listDeploymentInstances, listDeployments, listDeployments, listOnPremisesInstances, listOnPremisesInstances, registerApplicationRevision, registerOnPremisesInstance, removeTagsFromOnPremisesInstances, setEndpoint, setRegion, shutdown, stopDeployment, updateApplication, updateApplication, updateDeploymentGroup, waiters`

### Method Detail

#### addTagsToOnPremisesInstancesAsync

    Future<AddTagsToOnPremisesInstancesResult> addTagsToOnPremisesInstancesAsync(AddTagsToOnPremisesInstancesRequest addTagsToOnPremisesInstancesRequest)

Adds tags to on-premises instances.

Parameters:
  `addTagsToOnPremisesInstancesRequest` - Represents the input of, and adds tags to, an on-premises instance operation.
Returns:
  A Java Future containing the result of the AddTagsToOnPremisesInstances operation returned by the service.

#### addTagsToOnPremisesInstancesAsync

    Future<AddTagsToOnPremisesInstancesResult> addTagsToOnPremisesInstancesAsync(AddTagsToOnPremisesInstancesRequest addTagsToOnPremisesInstancesRequest,
                                                                                 AsyncHandler<AddTagsToOnPremisesInstancesRequest,AddTagsToOnPremisesInstancesResult> asyncHandler)

Adds tags to on-premises instances.

Parameters:
  `addTagsToOnPremisesInstancesRequest` - Represents the input of, and adds tags to, an on-premises instance operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the AddTagsToOnPremisesInstances operation returned by the service.

#### batchGetApplicationRevisionsAsync

    Future<BatchGetApplicationRevisionsResult> batchGetApplicationRevisionsAsync(BatchGetApplicationRevisionsRequest batchGetApplicationRevisionsRequest)

Gets information about one or more application revisions.

Parameters:
  `batchGetApplicationRevisionsRequest` - Represents the input of a batch get application revisions operation.
Returns:
  A Java Future containing the result of the BatchGetApplicationRevisions operation returned by the service.

#### batchGetApplicationRevisionsAsync

    Future<BatchGetApplicationRevisionsResult> batchGetApplicationRevisionsAsync(BatchGetApplicationRevisionsRequest batchGetApplicationRevisionsRequest,
                                                                                 AsyncHandler<BatchGetApplicationRevisionsRequest,BatchGetApplicationRevisionsResult> asyncHandler)

Gets information about one or more application revisions.

Parameters:
  `batchGetApplicationRevisionsRequest` - Represents the input of a batch get application revisions operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the BatchGetApplicationRevisions operation returned by the service.

#### batchGetApplicationsAsync

    Future<BatchGetApplicationsResult> batchGetApplicationsAsync(BatchGetApplicationsRequest batchGetApplicationsRequest)

Gets information about one or more applications.

Parameters:
  `batchGetApplicationsRequest` - Represents the input of a batch get applications operation.
Returns:
  A Java Future containing the result of the BatchGetApplications operation returned by the service.

#### batchGetApplicationsAsync

    Future<BatchGetApplicationsResult> batchGetApplicationsAsync(BatchGetApplicationsRequest batchGetApplicationsRequest,
                                                                 AsyncHandler<BatchGetApplicationsRequest,BatchGetApplicationsResult> asyncHandler)

Gets information about one or more applications.

Parameters:
  `batchGetApplicationsRequest` - Represents the input of a batch get applications operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the BatchGetApplications operation returned by the service.

#### batchGetApplicationsAsync

    Future<BatchGetApplicationsResult> batchGetApplicationsAsync()

Simplified method form for invoking the BatchGetApplications operation.

See Also:
  `batchGetApplicationsAsync(BatchGetApplicationsRequest)`

#### batchGetApplicationsAsync

    Future<BatchGetApplicationsResult> batchGetApplicationsAsync(AsyncHandler<BatchGetApplicationsRequest,BatchGetApplicationsResult> asyncHandler)

Simplified method form for invoking the BatchGetApplications operation with an AsyncHandler.

See Also:
  `batchGetApplicationsAsync(BatchGetApplicationsRequest, com.amazonaws.handlers.AsyncHandler)`

#### batchGetDeploymentGroupsAsync

    Future<BatchGetDeploymentGroupsResult> batchGetDeploymentGroupsAsync(BatchGetDeploymentGroupsRequest batchGetDeploymentGroupsRequest)

Get information about one or more deployment groups.

Parameters:
  `batchGetDeploymentGroupsRequest` - Represents the input of a batch get deployment groups operation.
Returns:
  A Java Future containing the result of the BatchGetDeploymentGroups operation returned by the service.

#### batchGetDeploymentGroupsAsync

    Future<BatchGetDeploymentGroupsResult> batchGetDeploymentGroupsAsync(BatchGetDeploymentGroupsRequest batchGetDeploymentGroupsRequest,
                                                                         AsyncHandler<BatchGetDeploymentGroupsRequest,BatchGetDeploymentGroupsResult> asyncHandler)

Get information about one or more deployment groups.

Parameters:
  `batchGetDeploymentGroupsRequest` - Represents the input of a batch get deployment groups operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the BatchGetDeploymentGroups operation returned by the service.

#### batchGetDeploymentInstancesAsync

    Future<BatchGetDeploymentInstancesResult> batchGetDeploymentInstancesAsync(BatchGetDeploymentInstancesRequest batchGetDeploymentInstancesRequest)

Gets information about one or more instance that are part of a deployment group.

Parameters:
  `batchGetDeploymentInstancesRequest` - Represents the input of a batch get deployment instances operation.
Returns:
  A Java Future containing the result of the BatchGetDeploymentInstances operation returned by the service.

#### batchGetDeploymentInstancesAsync

    Future<BatchGetDeploymentInstancesResult> batchGetDeploymentInstancesAsync(BatchGetDeploymentInstancesRequest batchGetDeploymentInstancesRequest,
                                                                               AsyncHandler<BatchGetDeploymentInstancesRequest,BatchGetDeploymentInstancesResult> asyncHandler)

Gets information about one or more instance that are part of a deployment group.

Parameters:
  `batchGetDeploymentInstancesRequest` - Represents the input of a batch get deployment instances operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the BatchGetDeploymentInstances operation returned by the service.

#### batchGetDeploymentsAsync

    Future<BatchGetDeploymentsResult> batchGetDeploymentsAsync(BatchGetDeploymentsRequest batchGetDeploymentsRequest)

Gets information about one or more deployments.

Parameters:
  `batchGetDeploymentsRequest` - Represents the input of a batch get deployments operation.
Returns:
  A Java Future containing the result of the BatchGetDeployments operation returned by the service.

#### batchGetDeploymentsAsync

    Future<BatchGetDeploymentsResult> batchGetDeploymentsAsync(BatchGetDeploymentsRequest batchGetDeploymentsRequest,
                                                               AsyncHandler<BatchGetDeploymentsRequest,BatchGetDeploymentsResult> asyncHandler)

Gets information about one or more deployments.

Parameters:
  `batchGetDeploymentsRequest` - Represents the input of a batch get deployments operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the BatchGetDeployments operation returned by the service.

#### batchGetDeploymentsAsync

    Future<BatchGetDeploymentsResult> batchGetDeploymentsAsync()

Simplified method form for invoking the BatchGetDeployments operation.

See Also:
  `batchGetDeploymentsAsync(BatchGetDeploymentsRequest)`

#### batchGetDeploymentsAsync

    Future<BatchGetDeploymentsResult> batchGetDeploymentsAsync(AsyncHandler<BatchGetDeploymentsRequest,BatchGetDeploymentsResult> asyncHandler)

Simplified method form for invoking the BatchGetDeployments operation with an AsyncHandler.

See Also:
  `batchGetDeploymentsAsync(BatchGetDeploymentsRequest, com.amazonaws.handlers.AsyncHandler)`

#### batchGetOnPremisesInstancesAsync

    Future<BatchGetOnPremisesInstancesResult> batchGetOnPremisesInstancesAsync(BatchGetOnPremisesInstancesRequest batchGetOnPremisesInstancesRequest)

Gets information about one or more on-premises instances.

Parameters:
  `batchGetOnPremisesInstancesRequest` - Represents the input of a batch get on-premises instances operation.
Returns:
  A Java Future containing the result of the BatchGetOnPremisesInstances operation returned by the service.

#### batchGetOnPremisesInstancesAsync

    Future<BatchGetOnPremisesInstancesResult> batchGetOnPremisesInstancesAsync(BatchGetOnPremisesInstancesRequest batchGetOnPremisesInstancesRequest,
                                                                               AsyncHandler<BatchGetOnPremisesInstancesRequest,BatchGetOnPremisesInstancesResult> asyncHandler)

Gets information about one or more on-premises instances.

Parameters:
  `batchGetOnPremisesInstancesRequest` - Represents the input of a batch get on-premises instances operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the BatchGetOnPremisesInstances operation returned by the service.

#### batchGetOnPremisesInstancesAsync

    Future<BatchGetOnPremisesInstancesResult> batchGetOnPremisesInstancesAsync()

Simplified method form for invoking the BatchGetOnPremisesInstances operation.

See Also:
  `batchGetOnPremisesInstancesAsync(BatchGetOnPremisesInstancesRequest)`

#### batchGetOnPremisesInstancesAsync

    Future<BatchGetOnPremisesInstancesResult> batchGetOnPremisesInstancesAsync(AsyncHandler<BatchGetOnPremisesInstancesRequest,BatchGetOnPremisesInstancesResult> asyncHandler)

Simplified method form for invoking the BatchGetOnPremisesInstances operation with an AsyncHandler.

See Also:
  `batchGetOnPremisesInstancesAsync(BatchGetOnPremisesInstancesRequest, com.amazonaws.handlers.AsyncHandler)`

#### createApplicationAsync

    Future<CreateApplicationResult> createApplicationAsync(CreateApplicationRequest createApplicationRequest)

Creates an application.

Parameters:
  `createApplicationRequest` - Represents the input of a create application operation.
Returns:
  A Java Future containing the result of the CreateApplication operation returned by the service.

#### createApplicationAsync

    Future<CreateApplicationResult> createApplicationAsync(CreateApplicationRequest createApplicationRequest,
                                                           AsyncHandler<CreateApplicationRequest,CreateApplicationResult> asyncHandler)

Creates an application.

Parameters:
  `createApplicationRequest` - Represents the input of a create application operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateApplication operation returned by the service.

#### createDeploymentAsync

    Future<CreateDeploymentResult> createDeploymentAsync(CreateDeploymentRequest createDeploymentRequest)

Deploys an application revision through the specified deployment group.

Parameters:
  `createDeploymentRequest` - Represents the input of a create deployment operation.
Returns:
  A Java Future containing the result of the CreateDeployment operation returned by the service.

#### createDeploymentAsync

    Future<CreateDeploymentResult> createDeploymentAsync(CreateDeploymentRequest createDeploymentRequest,
                                                         AsyncHandler<CreateDeploymentRequest,CreateDeploymentResult> asyncHandler)

Deploys an application revision through the specified deployment group.

Parameters:
  `createDeploymentRequest` - Represents the input of a create deployment operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateDeployment operation returned by the service.

#### createDeploymentConfigAsync

    Future<CreateDeploymentConfigResult> createDeploymentConfigAsync(CreateDeploymentConfigRequest createDeploymentConfigRequest)

Creates a deployment configuration.

Parameters:
  `createDeploymentConfigRequest` - Represents the input of a create deployment configuration operation.
Returns:
  A Java Future containing the result of the CreateDeploymentConfig operation returned by the service.

#### createDeploymentConfigAsync

    Future<CreateDeploymentConfigResult> createDeploymentConfigAsync(CreateDeploymentConfigRequest createDeploymentConfigRequest,
                                                                     AsyncHandler<CreateDeploymentConfigRequest,CreateDeploymentConfigResult> asyncHandler)

Creates a deployment configuration.

Parameters:
  `createDeploymentConfigRequest` - Represents the input of a create deployment configuration operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateDeploymentConfig operation returned by the service.

#### createDeploymentGroupAsync

    Future<CreateDeploymentGroupResult> createDeploymentGroupAsync(CreateDeploymentGroupRequest createDeploymentGroupRequest)

Creates a deployment group to which application revisions will be deployed.

Parameters:
  `createDeploymentGroupRequest` - Represents the input of a create deployment group operation.
Returns:
  A Java Future containing the result of the CreateDeploymentGroup operation returned by the service.

#### createDeploymentGroupAsync

    Future<CreateDeploymentGroupResult> createDeploymentGroupAsync(CreateDeploymentGroupRequest createDeploymentGroupRequest,
                                                                   AsyncHandler<CreateDeploymentGroupRequest,CreateDeploymentGroupResult> asyncHandler)

Creates a deployment group to which application revisions will be deployed.

Parameters:
  `createDeploymentGroupRequest` - Represents the input of a create deployment group operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateDeploymentGroup operation returned by the service.

#### deleteApplicationAsync

    Future<DeleteApplicationResult> deleteApplicationAsync(DeleteApplicationRequest deleteApplicationRequest)

Deletes an application.

Parameters:
  `deleteApplicationRequest` - Represents the input of a delete application operation.
Returns:
  A Java Future containing the result of the DeleteApplication operation returned by the service.

#### deleteApplicationAsync

    Future<DeleteApplicationResult> deleteApplicationAsync(DeleteApplicationRequest deleteApplicationRequest,
                                                           AsyncHandler<DeleteApplicationRequest,DeleteApplicationResult> asyncHandler)

Deletes an application.

Parameters:
  `deleteApplicationRequest` - Represents the input of a delete application operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteApplication operation returned by the service.

#### deleteDeploymentConfigAsync

    Future<DeleteDeploymentConfigResult> deleteDeploymentConfigAsync(DeleteDeploymentConfigRequest deleteDeploymentConfigRequest)

Deletes a deployment configuration.

<note>

A deployment configuration cannot be deleted if it is currently in use. Predefined configurations cannot be deleted.

</note>

Parameters:
  `deleteDeploymentConfigRequest` - Represents the input of a delete deployment configuration operation.
Returns:
  A Java Future containing the result of the DeleteDeploymentConfig operation returned by the service.

#### deleteDeploymentConfigAsync

    Future<DeleteDeploymentConfigResult> deleteDeploymentConfigAsync(DeleteDeploymentConfigRequest deleteDeploymentConfigRequest,
                                                                     AsyncHandler<DeleteDeploymentConfigRequest,DeleteDeploymentConfigResult> asyncHandler)

Deletes a deployment configuration.

<note>

A deployment configuration cannot be deleted if it is currently in use. Predefined configurations cannot be deleted.

</note>

Parameters:
  `deleteDeploymentConfigRequest` - Represents the input of a delete deployment configuration operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteDeploymentConfig operation returned by the service.

#### deleteDeploymentGroupAsync

    Future<DeleteDeploymentGroupResult> deleteDeploymentGroupAsync(DeleteDeploymentGroupRequest deleteDeploymentGroupRequest)

Deletes a deployment group.

Parameters:
  `deleteDeploymentGroupRequest` - Represents the input of a delete deployment group operation.
Returns:
  A Java Future containing the result of the DeleteDeploymentGroup operation returned by the service.

#### deleteDeploymentGroupAsync

    Future<DeleteDeploymentGroupResult> deleteDeploymentGroupAsync(DeleteDeploymentGroupRequest deleteDeploymentGroupRequest,
                                                                   AsyncHandler<DeleteDeploymentGroupRequest,DeleteDeploymentGroupResult> asyncHandler)

Deletes a deployment group.

Parameters:
  `deleteDeploymentGroupRequest` - Represents the input of a delete deployment group operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteDeploymentGroup operation returned by the service.

#### deregisterOnPremisesInstanceAsync

    Future<DeregisterOnPremisesInstanceResult> deregisterOnPremisesInstanceAsync(DeregisterOnPremisesInstanceRequest deregisterOnPremisesInstanceRequest)

Deregisters an on-premises instance.

Parameters:
  `deregisterOnPremisesInstanceRequest` - Represents the input of a deregister on-premises instance operation.
Returns:
  A Java Future containing the result of the DeregisterOnPremisesInstance operation returned by the service.

#### deregisterOnPremisesInstanceAsync

    Future<DeregisterOnPremisesInstanceResult> deregisterOnPremisesInstanceAsync(DeregisterOnPremisesInstanceRequest deregisterOnPremisesInstanceRequest,
                                                                                 AsyncHandler<DeregisterOnPremisesInstanceRequest,DeregisterOnPremisesInstanceResult> asyncHandler)

Deregisters an on-premises instance.

Parameters:
  `deregisterOnPremisesInstanceRequest` - Represents the input of a deregister on-premises instance operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeregisterOnPremisesInstance operation returned by the service.

#### getApplicationAsync

    Future<GetApplicationResult> getApplicationAsync(GetApplicationRequest getApplicationRequest)

Gets information about an application.

Parameters:
  `getApplicationRequest` - Represents the input of a get application operation.
Returns:
  A Java Future containing the result of the GetApplication operation returned by the service.

#### getApplicationAsync

    Future<GetApplicationResult> getApplicationAsync(GetApplicationRequest getApplicationRequest,
                                                     AsyncHandler<GetApplicationRequest,GetApplicationResult> asyncHandler)

Gets information about an application.

Parameters:
  `getApplicationRequest` - Represents the input of a get application operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetApplication operation returned by the service.

#### getApplicationRevisionAsync

    Future<GetApplicationRevisionResult> getApplicationRevisionAsync(GetApplicationRevisionRequest getApplicationRevisionRequest)

Gets information about an application revision.

Parameters:
  `getApplicationRevisionRequest` - Represents the input of a get application revision operation.
Returns:
  A Java Future containing the result of the GetApplicationRevision operation returned by the service.

#### getApplicationRevisionAsync

    Future<GetApplicationRevisionResult> getApplicationRevisionAsync(GetApplicationRevisionRequest getApplicationRevisionRequest,
                                                                     AsyncHandler<GetApplicationRevisionRequest,GetApplicationRevisionResult> asyncHandler)

Gets information about an application revision.

Parameters:
  `getApplicationRevisionRequest` - Represents the input of a get application revision operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetApplicationRevision operation returned by the service.

#### getDeploymentAsync

    Future<GetDeploymentResult> getDeploymentAsync(GetDeploymentRequest getDeploymentRequest)

Gets information about a deployment.

Parameters:
  `getDeploymentRequest` - Represents the input of a get deployment operation.
Returns:
  A Java Future containing the result of the GetDeployment operation returned by the service.

#### getDeploymentAsync

    Future<GetDeploymentResult> getDeploymentAsync(GetDeploymentRequest getDeploymentRequest,
                                                   AsyncHandler<GetDeploymentRequest,GetDeploymentResult> asyncHandler)

Gets information about a deployment.

Parameters:
  `getDeploymentRequest` - Represents the input of a get deployment operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetDeployment operation returned by the service.

#### getDeploymentConfigAsync

    Future<GetDeploymentConfigResult> getDeploymentConfigAsync(GetDeploymentConfigRequest getDeploymentConfigRequest)

Gets information about a deployment configuration.

Parameters:
  `getDeploymentConfigRequest` - Represents the input of a get deployment configuration operation.
Returns:
  A Java Future containing the result of the GetDeploymentConfig operation returned by the service.

#### getDeploymentConfigAsync

    Future<GetDeploymentConfigResult> getDeploymentConfigAsync(GetDeploymentConfigRequest getDeploymentConfigRequest,
                                                               AsyncHandler<GetDeploymentConfigRequest,GetDeploymentConfigResult> asyncHandler)

Gets information about a deployment configuration.

Parameters:
  `getDeploymentConfigRequest` - Represents the input of a get deployment configuration operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetDeploymentConfig operation returned by the service.

#### getDeploymentGroupAsync

    Future<GetDeploymentGroupResult> getDeploymentGroupAsync(GetDeploymentGroupRequest getDeploymentGroupRequest)

Gets information about a deployment group.

Parameters:
  `getDeploymentGroupRequest` - Represents the input of a get deployment group operation.
Returns:
  A Java Future containing the result of the GetDeploymentGroup operation returned by the service.

#### getDeploymentGroupAsync

    Future<GetDeploymentGroupResult> getDeploymentGroupAsync(GetDeploymentGroupRequest getDeploymentGroupRequest,
                                                             AsyncHandler<GetDeploymentGroupRequest,GetDeploymentGroupResult> asyncHandler)

Gets information about a deployment group.

Parameters:
  `getDeploymentGroupRequest` - Represents the input of a get deployment group operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetDeploymentGroup operation returned by the service.

#### getDeploymentInstanceAsync

    Future<GetDeploymentInstanceResult> getDeploymentInstanceAsync(GetDeploymentInstanceRequest getDeploymentInstanceRequest)

Gets information about an instance as part of a deployment.

Parameters:
  `getDeploymentInstanceRequest` - Represents the input of a get deployment instance operation.
Returns:
  A Java Future containing the result of the GetDeploymentInstance operation returned by the service.

#### getDeploymentInstanceAsync

    Future<GetDeploymentInstanceResult> getDeploymentInstanceAsync(GetDeploymentInstanceRequest getDeploymentInstanceRequest,
                                                                   AsyncHandler<GetDeploymentInstanceRequest,GetDeploymentInstanceResult> asyncHandler)

Gets information about an instance as part of a deployment.

Parameters:
  `getDeploymentInstanceRequest` - Represents the input of a get deployment instance operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetDeploymentInstance operation returned by the service.

#### getOnPremisesInstanceAsync

    Future<GetOnPremisesInstanceResult> getOnPremisesInstanceAsync(GetOnPremisesInstanceRequest getOnPremisesInstanceRequest)

Gets information about an on-premises instance.

Parameters:
  `getOnPremisesInstanceRequest` - Represents the input of a get on-premises instance operation.
Returns:
  A Java Future containing the result of the GetOnPremisesInstance operation returned by the service.

#### getOnPremisesInstanceAsync

    Future<GetOnPremisesInstanceResult> getOnPremisesInstanceAsync(GetOnPremisesInstanceRequest getOnPremisesInstanceRequest,
                                                                   AsyncHandler<GetOnPremisesInstanceRequest,GetOnPremisesInstanceResult> asyncHandler)

Gets information about an on-premises instance.

Parameters:
  `getOnPremisesInstanceRequest` - Represents the input of a get on-premises instance operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetOnPremisesInstance operation returned by the service.

#### listApplicationRevisionsAsync

    Future<ListApplicationRevisionsResult> listApplicationRevisionsAsync(ListApplicationRevisionsRequest listApplicationRevisionsRequest)

Lists information about revisions for an application.

Parameters:
  `listApplicationRevisionsRequest` - Represents the input of a list application revisions operation.
Returns:
  A Java Future containing the result of the ListApplicationRevisions operation returned by the service.

#### listApplicationRevisionsAsync

    Future<ListApplicationRevisionsResult> listApplicationRevisionsAsync(ListApplicationRevisionsRequest listApplicationRevisionsRequest,
                                                                         AsyncHandler<ListApplicationRevisionsRequest,ListApplicationRevisionsResult> asyncHandler)

Lists information about revisions for an application.

Parameters:
  `listApplicationRevisionsRequest` - Represents the input of a list application revisions operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListApplicationRevisions operation returned by the service.

#### listApplicationsAsync

    Future<ListApplicationsResult> listApplicationsAsync(ListApplicationsRequest listApplicationsRequest)

Lists the applications registered with the applicable IAM user or AWS account.

Parameters:
  `listApplicationsRequest` - Represents the input of a list applications operation.
Returns:
  A Java Future containing the result of the ListApplications operation returned by the service.

#### listApplicationsAsync

    Future<ListApplicationsResult> listApplicationsAsync(ListApplicationsRequest listApplicationsRequest,
                                                         AsyncHandler<ListApplicationsRequest,ListApplicationsResult> asyncHandler)

Lists the applications registered with the applicable IAM user or AWS account.

Parameters:
  `listApplicationsRequest` - Represents the input of a list applications operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListApplications operation returned by the service.

#### listApplicationsAsync

    Future<ListApplicationsResult> listApplicationsAsync()

Simplified method form for invoking the ListApplications operation.

See Also:
  `listApplicationsAsync(ListApplicationsRequest)`

#### listApplicationsAsync

    Future<ListApplicationsResult> listApplicationsAsync(AsyncHandler<ListApplicationsRequest,ListApplicationsResult> asyncHandler)

Simplified method form for invoking the ListApplications operation with an AsyncHandler.

See Also:
  `listApplicationsAsync(ListApplicationsRequest, com.amazonaws.handlers.AsyncHandler)`

#### listDeploymentConfigsAsync

    Future<ListDeploymentConfigsResult> listDeploymentConfigsAsync(ListDeploymentConfigsRequest listDeploymentConfigsRequest)

Lists the deployment configurations with the applicable IAM user or AWS account.

Parameters:
  `listDeploymentConfigsRequest` - Represents the input of a list deployment configurations operation.
Returns:
  A Java Future containing the result of the ListDeploymentConfigs operation returned by the service.

#### listDeploymentConfigsAsync

    Future<ListDeploymentConfigsResult> listDeploymentConfigsAsync(ListDeploymentConfigsRequest listDeploymentConfigsRequest,
                                                                   AsyncHandler<ListDeploymentConfigsRequest,ListDeploymentConfigsResult> asyncHandler)

Lists the deployment configurations with the applicable IAM user or AWS account.

Parameters:
  `listDeploymentConfigsRequest` - Represents the input of a list deployment configurations operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListDeploymentConfigs operation returned by the service.

#### listDeploymentConfigsAsync

    Future<ListDeploymentConfigsResult> listDeploymentConfigsAsync()

Simplified method form for invoking the ListDeploymentConfigs operation.

See Also:
  `listDeploymentConfigsAsync(ListDeploymentConfigsRequest)`

#### listDeploymentConfigsAsync

    Future<ListDeploymentConfigsResult> listDeploymentConfigsAsync(AsyncHandler<ListDeploymentConfigsRequest,ListDeploymentConfigsResult> asyncHandler)

Simplified method form for invoking the ListDeploymentConfigs operation with an AsyncHandler.

See Also:
  `listDeploymentConfigsAsync(ListDeploymentConfigsRequest, com.amazonaws.handlers.AsyncHandler)`

#### listDeploymentGroupsAsync

    Future<ListDeploymentGroupsResult> listDeploymentGroupsAsync(ListDeploymentGroupsRequest listDeploymentGroupsRequest)

Lists the deployment groups for an application registered with the applicable IAM user or AWS account.

Parameters:
  `listDeploymentGroupsRequest` - Represents the input of a list deployment groups operation.
Returns:
  A Java Future containing the result of the ListDeploymentGroups operation returned by the service.

#### listDeploymentGroupsAsync

    Future<ListDeploymentGroupsResult> listDeploymentGroupsAsync(ListDeploymentGroupsRequest listDeploymentGroupsRequest,
                                                                 AsyncHandler<ListDeploymentGroupsRequest,ListDeploymentGroupsResult> asyncHandler)

Lists the deployment groups for an application registered with the applicable IAM user or AWS account.

Parameters:
  `listDeploymentGroupsRequest` - Represents the input of a list deployment groups operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListDeploymentGroups operation returned by the service.

#### listDeploymentInstancesAsync

    Future<ListDeploymentInstancesResult> listDeploymentInstancesAsync(ListDeploymentInstancesRequest listDeploymentInstancesRequest)

Lists the instance for a deployment associated with the applicable IAM user or AWS account.

Parameters:
  `listDeploymentInstancesRequest` - Represents the input of a list deployment instances operation.
Returns:
  A Java Future containing the result of the ListDeploymentInstances operation returned by the service.

#### listDeploymentInstancesAsync

    Future<ListDeploymentInstancesResult> listDeploymentInstancesAsync(ListDeploymentInstancesRequest listDeploymentInstancesRequest,
                                                                       AsyncHandler<ListDeploymentInstancesRequest,ListDeploymentInstancesResult> asyncHandler)

Lists the instance for a deployment associated with the applicable IAM user or AWS account.

Parameters:
  `listDeploymentInstancesRequest` - Represents the input of a list deployment instances operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListDeploymentInstances operation returned by the service.

#### listDeploymentsAsync

    Future<ListDeploymentsResult> listDeploymentsAsync(ListDeploymentsRequest listDeploymentsRequest)

Lists the deployments in a deployment group for an application registered with the applicable IAM user or AWS account.

Parameters:
  `listDeploymentsRequest` - Represents the input of a list deployments operation.
Returns:
  A Java Future containing the result of the ListDeployments operation returned by the service.

#### listDeploymentsAsync

    Future<ListDeploymentsResult> listDeploymentsAsync(ListDeploymentsRequest listDeploymentsRequest,
                                                       AsyncHandler<ListDeploymentsRequest,ListDeploymentsResult> asyncHandler)

Lists the deployments in a deployment group for an application registered with the applicable IAM user or AWS account.

Parameters:
  `listDeploymentsRequest` - Represents the input of a list deployments operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListDeployments operation returned by the service.

#### listDeploymentsAsync

    Future<ListDeploymentsResult> listDeploymentsAsync()

Simplified method form for invoking the ListDeployments operation.

See Also:
  `listDeploymentsAsync(ListDeploymentsRequest)`

#### listDeploymentsAsync

    Future<ListDeploymentsResult> listDeploymentsAsync(AsyncHandler<ListDeploymentsRequest,ListDeploymentsResult> asyncHandler)

Simplified method form for invoking the ListDeployments operation with an AsyncHandler.

See Also:
  `listDeploymentsAsync(ListDeploymentsRequest, com.amazonaws.handlers.AsyncHandler)`

#### listOnPremisesInstancesAsync

    Future<ListOnPremisesInstancesResult> listOnPremisesInstancesAsync(ListOnPremisesInstancesRequest listOnPremisesInstancesRequest)

Gets a list of names for one or more on-premises instances.

Unless otherwise specified, both registered and deregistered on-premises instance names will be listed. To list only registered or deregistered on-premises instance names, use the registration status parameter.

Parameters:
  `listOnPremisesInstancesRequest` - Represents the input of a list on-premises instances operation.
Returns:
  A Java Future containing the result of the ListOnPremisesInstances operation returned by the service.

#### listOnPremisesInstancesAsync

    Future<ListOnPremisesInstancesResult> listOnPremisesInstancesAsync(ListOnPremisesInstancesRequest listOnPremisesInstancesRequest,
                                                                       AsyncHandler<ListOnPremisesInstancesRequest,ListOnPremisesInstancesResult> asyncHandler)

Gets a list of names for one or more on-premises instances.

Unless otherwise specified, both registered and deregistered on-premises instance names will be listed. To list only registered or deregistered on-premises instance names, use the registration status parameter.

Parameters:
  `listOnPremisesInstancesRequest` - Represents the input of a list on-premises instances operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListOnPremisesInstances operation returned by the service.

#### listOnPremisesInstancesAsync

    Future<ListOnPremisesInstancesResult> listOnPremisesInstancesAsync()

Simplified method form for invoking the ListOnPremisesInstances operation.

See Also:
  `listOnPremisesInstancesAsync(ListOnPremisesInstancesRequest)`

#### listOnPremisesInstancesAsync

    Future<ListOnPremisesInstancesResult> listOnPremisesInstancesAsync(AsyncHandler<ListOnPremisesInstancesRequest,ListOnPremisesInstancesResult> asyncHandler)

Simplified method form for invoking the ListOnPremisesInstances operation with an AsyncHandler.

See Also:
  `listOnPremisesInstancesAsync(ListOnPremisesInstancesRequest, com.amazonaws.handlers.AsyncHandler)`

#### registerApplicationRevisionAsync

    Future<RegisterApplicationRevisionResult> registerApplicationRevisionAsync(RegisterApplicationRevisionRequest registerApplicationRevisionRequest)

Registers with AWS CodeDeploy a revision for the specified application.

Parameters:
  `registerApplicationRevisionRequest` - Represents the input of a register application revision operation.
Returns:
  A Java Future containing the result of the RegisterApplicationRevision operation returned by the service.

#### registerApplicationRevisionAsync

    Future<RegisterApplicationRevisionResult> registerApplicationRevisionAsync(RegisterApplicationRevisionRequest registerApplicationRevisionRequest,
                                                                               AsyncHandler<RegisterApplicationRevisionRequest,RegisterApplicationRevisionResult> asyncHandler)

Registers with AWS CodeDeploy a revision for the specified application.

Parameters:
  `registerApplicationRevisionRequest` - Represents the input of a register application revision operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the RegisterApplicationRevision operation returned by the service.

#### registerOnPremisesInstanceAsync

    Future<RegisterOnPremisesInstanceResult> registerOnPremisesInstanceAsync(RegisterOnPremisesInstanceRequest registerOnPremisesInstanceRequest)

Registers an on-premises instance.

Parameters:
  `registerOnPremisesInstanceRequest` - Represents the input of the register on-premises instance operation.
Returns:
  A Java Future containing the result of the RegisterOnPremisesInstance operation returned by the service.

#### registerOnPremisesInstanceAsync

    Future<RegisterOnPremisesInstanceResult> registerOnPremisesInstanceAsync(RegisterOnPremisesInstanceRequest registerOnPremisesInstanceRequest,
                                                                             AsyncHandler<RegisterOnPremisesInstanceRequest,RegisterOnPremisesInstanceResult> asyncHandler)

Registers an on-premises instance.

Parameters:
  `registerOnPremisesInstanceRequest` - Represents the input of the register on-premises instance operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the RegisterOnPremisesInstance operation returned by the service.

#### removeTagsFromOnPremisesInstancesAsync

    Future<RemoveTagsFromOnPremisesInstancesResult> removeTagsFromOnPremisesInstancesAsync(RemoveTagsFromOnPremisesInstancesRequest removeTagsFromOnPremisesInstancesRequest)

Removes one or more tags from one or more on-premises instances.

Parameters:
  `removeTagsFromOnPremisesInstancesRequest` - Represents the input of a remove tags from on-premises instances operation.
Returns:
  A Java Future containing the result of the RemoveTagsFromOnPremisesInstances operation returned by the service.

#### removeTagsFromOnPremisesInstancesAsync

    Future<RemoveTagsFromOnPremisesInstancesResult> removeTagsFromOnPremisesInstancesAsync(RemoveTagsFromOnPremisesInstancesRequest removeTagsFromOnPremisesInstancesRequest,
                                                                                           AsyncHandler<RemoveTagsFromOnPremisesInstancesRequest,RemoveTagsFromOnPremisesInstancesResult> asyncHandler)

Removes one or more tags from one or more on-premises instances.

Parameters:
  `removeTagsFromOnPremisesInstancesRequest` - Represents the input of a remove tags from on-premises instances operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the RemoveTagsFromOnPremisesInstances operation returned by the service.

#### stopDeploymentAsync

    Future<StopDeploymentResult> stopDeploymentAsync(StopDeploymentRequest stopDeploymentRequest)

Attempts to stop an ongoing deployment.

Parameters:
  `stopDeploymentRequest` - Represents the input of a stop deployment operation.
Returns:
  A Java Future containing the result of the StopDeployment operation returned by the service.

#### stopDeploymentAsync

    Future<StopDeploymentResult> stopDeploymentAsync(StopDeploymentRequest stopDeploymentRequest,
                                                     AsyncHandler<StopDeploymentRequest,StopDeploymentResult> asyncHandler)

Attempts to stop an ongoing deployment.

Parameters:
  `stopDeploymentRequest` - Represents the input of a stop deployment operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the StopDeployment operation returned by the service.

#### updateApplicationAsync

    Future<UpdateApplicationResult> updateApplicationAsync(UpdateApplicationRequest updateApplicationRequest)

Changes the name of an application.

Parameters:
  `updateApplicationRequest` - Represents the input of an update application operation.
Returns:
  A Java Future containing the result of the UpdateApplication operation returned by the service.

#### updateApplicationAsync

    Future<UpdateApplicationResult> updateApplicationAsync(UpdateApplicationRequest updateApplicationRequest,
                                                           AsyncHandler<UpdateApplicationRequest,UpdateApplicationResult> asyncHandler)

Changes the name of an application.

Parameters:
  `updateApplicationRequest` - Represents the input of an update application operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateApplication operation returned by the service.

#### updateApplicationAsync

    Future<UpdateApplicationResult> updateApplicationAsync()

Simplified method form for invoking the UpdateApplication operation.

See Also:
  `updateApplicationAsync(UpdateApplicationRequest)`

#### updateApplicationAsync

    Future<UpdateApplicationResult> updateApplicationAsync(AsyncHandler<UpdateApplicationRequest,UpdateApplicationResult> asyncHandler)

Simplified method form for invoking the UpdateApplication operation with an AsyncHandler.

See Also:
  `updateApplicationAsync(UpdateApplicationRequest, com.amazonaws.handlers.AsyncHandler)`

#### updateDeploymentGroupAsync

    Future<UpdateDeploymentGroupResult> updateDeploymentGroupAsync(UpdateDeploymentGroupRequest updateDeploymentGroupRequest)

Changes information about a deployment group.

Parameters:
  `updateDeploymentGroupRequest` - Represents the input of an update deployment group operation.
Returns:
  A Java Future containing the result of the UpdateDeploymentGroup operation returned by the service.

#### updateDeploymentGroupAsync

    Future<UpdateDeploymentGroupResult> updateDeploymentGroupAsync(UpdateDeploymentGroupRequest updateDeploymentGroupRequest,
                                                                   AsyncHandler<UpdateDeploymentGroupRequest,UpdateDeploymentGroupResult> asyncHandler)

Changes information about a deployment group.

Parameters:
  `updateDeploymentGroupRequest` - Represents the input of an update deployment group operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateDeploymentGroup operation returned by the service.